VST 3 SDK: Steinberg::Vst::UMP Namespace Reference
Author: Steinberg

VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Namespaces | Classes | Enumerations | Functions | Variables
Steinberg::Vst::UMP Namespace Reference

## Namespaces
namespace | Detail

## Classes
struct | IUniversalMidiPacketHandler
struct | UniversalMidiPacketHandlerAdapter

## Enumerations
enum | ParseSections : uint8_t { Utility = 1 << 0 , System = 1 << 1 , ChannelVoice1 = 1 << 2 , SysEx = 1 << 3 , ChannelVoice2 = 1 << 3 , Data128 = 1 << 4 , All = 0xff }
| the parse sections control which messages to process of UMP More...
enum class | ParsingAction : uint32_t { Break , Continue }

## Functions
template<ParseSections sections = ParseSections::All>
size_t | parsePackets (const size_t numWords, const uint32_t *words, const IUniversalMidiPacketHandler &handler)
| stateless parsing universal MIDI packets
template<ParseSections Sections>
__inline__ | __attribute__ ((__always_inline__)) size_t parsePackets(const size_t numWords

## Variables
__inline__ const uint32_t * | words
__inline__ const uint32_t const IUniversalMidiPacketHandler & | handler

## Enumeration Type Documentation

## ◆ ParseSections

enum ParseSections : uint8_t

the parse sections control which messages to process of UMP

the generated code is smaller and runtime is faster if only the needed sections are enabled.

Enumerator
Utility |
System |
ChannelVoice1 |
SysEx |
ChannelVoice2 |
Data128 |
All |

## ◆ ParsingAction

enum class ParsingAction : uint32_t
| strong

Enumerator
Break |
Continue |

## Function Documentation

## ◆ parsePackets()

template<ParseSections sections = ParseSections::All>

size_t parsePackets | ( | const size_t | numWords,
|  | const uint32_t * | words,
|  | const IUniversalMidiPacketHandler & | handler )

stateless parsing universal MIDI packets

Template Parameters

  sections | which sections to parse

Parameters

  numWords | number of 32-bit words
  words | pointer to a words array
  handler | callback handler

Returns
  number of successfully processed words

## ◆ __attribute__()

template<ParseSections Sections>

__inline__ __attribute__ | ( | (__always_inline__) |  | ) | const

## Variable Documentation

## ◆ words

__inline__ const uint32_t* words

## ◆ handler

__inline__ const uint32_t const IUniversalMidiPacketHandler& handler

Initial value:
{
return Detail::parse<Sections> (numWords, words, handler)
Steinberg::Vst::UMP::handler
__inline__ const uint32_t const IUniversalMidiPacketHandler & handler
Definition ump.h:950
Steinberg::Vst::UMP::words
__inline__ const uint32_t * words
Definition ump.h:948
Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.